<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXZenCodingGenerator">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCopyPasteTagProcessor.AttributeToReplace java.lang.String getOldName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXEmmetOptions">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeCompletionContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXTagNameReference">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.lang.javascript.psi.JSType getJsxChildInstance(com.intellij.psi.PsiElement, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXEmbeddedContentUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCommentProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCopyPasteTagProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation boolean isNamespaceImportRequired(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXReferenceContributor com.intellij.lang.javascript.patterns.JSLiteralExpressionPattern createPathJSXAttributePattern()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.22855.74&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataProviderKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXHighlightVisitor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXEmptyImplementation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXReferenceContributor com.intellij.psi.PsiReferenceProvider createPathReferenceProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.22855.74&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataLazyProvider JSXAttributeDataLazyProvider(java.lang.String, com.intellij.psi.xml.XmlTag)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.lang.javascript.frameworks.jsx.JSXComponent resolveComponent(com.intellij.psi.xml.XmlTag)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation.Companion com.intellij.psi.ResolveResult[] resolveTagOrComponent(com.intellij.psi.xml.XmlTag)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXReferenceContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlExtension com.intellij.lang.javascript.formatter.JSCodeStyleSettings.JSXAttributeValuePresentation getAttributeValue(com.intellij.psi.xml.XmlTag, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXScriptSelectioner">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt; getLibraries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataResolved boolean getWeakResolve()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlElementDescriptor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXReferenceContributor com.intellij.patterns.XmlAttributeValuePattern createPathAttributePattern(java.lang.Boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.22855.74&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCommentProvider.JSXCommenter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.9011.34&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataResolved JSXAttributeDataResolved(com.intellij.psi.PsiElement, com.intellij.lang.javascript.psi.JSType, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXInspectionFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlExtension com.intellij.lang.javascript.formatter.JSCodeStyleSettings.JSXAttributeValuePresentation getTypeBasedJSXAttributeValuePresentation(com.intellij.xml.XmlAttributeDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.lang.javascript.config.JSXNamespaceInfo calcNamespaceInfo(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXHtmlContextType">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlElementDescriptorProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataResolved com.intellij.psi.PsiElement getDeclaration()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXEmptyComponent">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCommentZenCodingFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCopyPasteTagProcessor.AttributeToReplace java.lang.String getTagName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlAttributeRenameProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXEmmetParser">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataResolved com.intellij.lang.javascript.psi.JSType getJsType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXLanguageLevelAnnotator">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXHtmlContextType boolean isInJSXContext(com.intellij.codeInsight.template.TemplateContextType, com.intellij.codeInsight.template.TemplateActionContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXCommentProvider com.intellij.psi.PsiElement findFirstElementOnLine(com.intellij.psi.PsiFile, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.9011.34&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDataNotResolved INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.lang.javascript.frameworks.jsx.JSXImplementation getImplementation(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.psi.ResolveResult[] resolveTagOrComponent(com.intellij.psi.xml.XmlTag)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation boolean isApplicable(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.psi.search.GlobalSearchScope createLibraryScope(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXReferenceContributor com.intellij.psi.filters.ElementFilter createPathContainedTagFilter(java.lang.Boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.22855.74&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlExtension">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation com.intellij.psi.PsiElement getContext(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeCustomMappingKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXReferenceContributor CLASS_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXComponent">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXImplementation java.util.Collection&lt;com.intellij.psi.PsiElement&gt; resolveCall(com.intellij.lang.javascript.psi.JSCallExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXComponentCompletionContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXAttributeDescriptor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXXmlElementNSDescriptor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.frameworks.jsx.JSXBemEmmetFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
</root>
